OSDN Git Service

unstable-commit
[applied-gslp/test1.git] / trunk / Makefile
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17 pkgdatadir = $(datadir)/test
18 pkglibdir = $(libdir)/test
19 pkgincludedir = $(includedir)/test
20 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
21 install_sh_DATA = $(install_sh) -c -m 644
22 install_sh_PROGRAM = $(install_sh) -c
23 install_sh_SCRIPT = $(install_sh) -c
24 INSTALL_HEADER = $(INSTALL_DATA)
25 transform = $(program_transform_name)
26 NORMAL_INSTALL = :
27 PRE_INSTALL = :
28 POST_INSTALL = :
29 NORMAL_UNINSTALL = :
30 PRE_UNINSTALL = :
31 POST_UNINSTALL = :
32 subdir = .
33 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
34         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
35         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
36         depcomp install-sh missing
37 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
38 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
39         $(top_srcdir)/configure.in
40 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41         $(ACLOCAL_M4)
42 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43  configure.lineno config.status.lineno
44 mkinstalldirs = $(install_sh) -d
45 CONFIG_HEADER = config.h
46 CONFIG_CLEAN_FILES =
47 SOURCES =
48 DIST_SOURCES =
49 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50         html-recursive info-recursive install-data-recursive \
51         install-dvi-recursive install-exec-recursive \
52         install-html-recursive install-info-recursive \
53         install-pdf-recursive install-ps-recursive install-recursive \
54         installcheck-recursive installdirs-recursive pdf-recursive \
55         ps-recursive uninstall-recursive
56 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
57   distclean-recursive maintainer-clean-recursive
58 ETAGS = etags
59 CTAGS = ctags
60 DIST_SUBDIRS = $(SUBDIRS)
61 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
62 distdir = $(PACKAGE)-$(VERSION)
63 top_distdir = $(distdir)
64 am__remove_distdir = \
65   { test ! -d $(distdir) \
66     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
67          && rm -fr $(distdir); }; }
68 DIST_ARCHIVES = $(distdir).tar.gz
69 GZIP_ENV = --best
70 distuninstallcheck_listfiles = find . -type f -print
71 distcleancheck_listfiles = find . -type f -print
72 ACLOCAL = ${SHELL} /home/de/RAID/c/applied-gslp/trunk/missing --run aclocal-1.10
73 AMTAR = ${SHELL} /home/de/RAID/c/applied-gslp/trunk/missing --run tar
74 AM_CFLAGS = -ansi -Dinline= -pedantic -W -Wall -Wtraditional -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings -Wconversion -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wmissing-noreturn -Wredundant-decls -Wnested-externs -Winline -Wlong-long -Werror -fshort-enums -fno-common -O4 -g
75 AM_LIBS = 
76 AUTOCONF = ${SHELL} /home/de/RAID/c/applied-gslp/trunk/missing --run autoconf
77 AUTOHEADER = ${SHELL} /home/de/RAID/c/applied-gslp/trunk/missing --run autoheader
78 AUTOMAKE = ${SHELL} /home/de/RAID/c/applied-gslp/trunk/missing --run automake-1.10
79 AWK = mawk
80 CC = gcc
81 CCDEPMODE = depmode=gcc3
82 CFLAGS = -g -O2
83 CODEGEN = -fshort-enums -fno-common
84 CPP = gcc -E
85 CPPFLAGS = 
86 CYGPATH_W = echo
87 DEBUG = -g
88 DEFS = -DHAVE_CONFIG_H
89 DEPDIR = .deps
90 DIALECT = -ansi -Dinline=
91 ECHO_C = 
92 ECHO_N = -n
93 ECHO_T = 
94 EGREP = /bin/grep -E
95 EXEEXT = 
96 GREP = /bin/grep
97 GSL_CFLAGS = -I/usr/include
98 GSL_CONFIG = /usr/bin/gsl-config
99 GSL_LIBS = -L/usr/lib -lgsl -lgslcblas -lm
100 INSTALL = /usr/bin/install -c
101 INSTALL_DATA = ${INSTALL} -m 644
102 INSTALL_PROGRAM = ${INSTALL}
103 INSTALL_SCRIPT = ${INSTALL}
104 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
105 LDFLAGS = 
106 LIBOBJS = 
107 LIBS = -lgsl -lgslcblas -lm 
108 LTLIBOBJS = 
109 MAKEINFO = ${SHELL} /home/de/RAID/c/applied-gslp/trunk/missing --run makeinfo
110 MKDIR_P = /bin/mkdir -p
111 OBJEXT = o
112 OPTIMIZE = -O4
113 PACKAGE = test
114 PACKAGE_BUGREPORT = BUG-REPORT-ADDRESS
115 PACKAGE_NAME = FULL-PACKAGE-NAME
116 PACKAGE_STRING = FULL-PACKAGE-NAME VERSION
117 PACKAGE_TARNAME = full-package-name
118 PACKAGE_VERSION = VERSION
119 PATH_SEPARATOR = :
120 RANLIB = ranlib
121 SET_MAKE = 
122 SHELL = /bin/sh
123 STRIP = 
124 VERSION = 0.1.0
125 WARNING = -pedantic -W -Wall -Wtraditional -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wcast-align -Wwrite-strings -Wconversion -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wmissing-noreturn -Wredundant-decls -Wnested-externs -Winline -Wlong-long -Werror
126 abs_builddir = /home/de/RAID/c/applied-gslp/trunk
127 abs_srcdir = /home/de/RAID/c/applied-gslp/trunk
128 abs_top_builddir = /home/de/RAID/c/applied-gslp/trunk
129 abs_top_srcdir = /home/de/RAID/c/applied-gslp/trunk
130 ac_ct_CC = gcc
131 am__include = include
132 am__leading_dot = .
133 am__quote = 
134 am__tar = ${AMTAR} chof - "$$tardir"
135 am__untar = ${AMTAR} xf -
136 bindir = ${exec_prefix}/bin
137 build_alias = 
138 builddir = .
139 datadir = ${datarootdir}
140 datarootdir = ${prefix}/share
141 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
142 dvidir = ${docdir}
143 exec_prefix = ${prefix}
144 host_alias = 
145 htmldir = ${docdir}
146 includedir = ${prefix}/include
147 infodir = ${datarootdir}/info
148 install_sh = $(SHELL) /home/de/RAID/c/applied-gslp/trunk/install-sh
149 libdir = ${exec_prefix}/lib
150 libexecdir = ${exec_prefix}/libexec
151 localedir = ${datarootdir}/locale
152 localstatedir = ${prefix}/var
153 mandir = ${datarootdir}/man
154 mkdir_p = /bin/mkdir -p
155 oldincludedir = /usr/include
156 pdfdir = ${docdir}
157 prefix = /usr/local
158 program_transform_name = s,x,x,
159 psdir = ${docdir}
160 sbindir = ${exec_prefix}/sbin
161 sharedstatedir = ${prefix}/com
162 srcdir = .
163 sysconfdir = ${prefix}/etc
164 target_alias = 
165 top_builddir = .
166 top_srcdir = .
167
168 #ACLOCAL_AMFLAGS = -I /usr/share/autoconf-archive/
169 #ACLOCAL_AMFLAGS = -I m4
170 SUBDIRS = lib dimension dlacluster noumerov test
171 all: config.h
172         $(MAKE) $(AM_MAKEFLAGS) all-recursive
173
174 .SUFFIXES:
175 am--refresh:
176         @:
177 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
178         @for dep in $?; do \
179           case '$(am__configure_deps)' in \
180             *$$dep*) \
181               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
182               cd $(srcdir) && $(AUTOMAKE) --gnu  \
183                 && exit 0; \
184               exit 1;; \
185           esac; \
186         done; \
187         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
188         cd $(top_srcdir) && \
189           $(AUTOMAKE) --gnu  Makefile
190 .PRECIOUS: Makefile
191 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
192         @case '$?' in \
193           *config.status*) \
194             echo ' $(SHELL) ./config.status'; \
195             $(SHELL) ./config.status;; \
196           *) \
197             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
198             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
199         esac;
200
201 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
202         $(SHELL) ./config.status --recheck
203
204 $(top_srcdir)/configure:  $(am__configure_deps)
205         cd $(srcdir) && $(AUTOCONF)
206 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
207         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
208
209 config.h: stamp-h1
210         @if test ! -f $@; then \
211           rm -f stamp-h1; \
212           $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
213         else :; fi
214
215 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
216         @rm -f stamp-h1
217         cd $(top_builddir) && $(SHELL) ./config.status config.h
218 $(srcdir)/config.h.in:  $(am__configure_deps) 
219         cd $(top_srcdir) && $(AUTOHEADER)
220         rm -f stamp-h1
221         touch $@
222
223 distclean-hdr:
224         -rm -f config.h stamp-h1
225
226 # This directory's subdirectories are mostly independent; you can cd
227 # into them and run `make' without going through this Makefile.
228 # To change the values of `make' variables: instead of editing Makefiles,
229 # (1) if the variable is set in `config.status', edit `config.status'
230 #     (which will cause the Makefiles to be regenerated when you run `make');
231 # (2) otherwise, pass the desired values on the `make' command line.
232 $(RECURSIVE_TARGETS):
233         @failcom='exit 1'; \
234         for f in x $$MAKEFLAGS; do \
235           case $$f in \
236             *=* | --[!k]*);; \
237             *k*) failcom='fail=yes';; \
238           esac; \
239         done; \
240         dot_seen=no; \
241         target=`echo $@ | sed s/-recursive//`; \
242         list='$(SUBDIRS)'; for subdir in $$list; do \
243           echo "Making $$target in $$subdir"; \
244           if test "$$subdir" = "."; then \
245             dot_seen=yes; \
246             local_target="$$target-am"; \
247           else \
248             local_target="$$target"; \
249           fi; \
250           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
251           || eval $$failcom; \
252         done; \
253         if test "$$dot_seen" = "no"; then \
254           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
255         fi; test -z "$$fail"
256
257 $(RECURSIVE_CLEAN_TARGETS):
258         @failcom='exit 1'; \
259         for f in x $$MAKEFLAGS; do \
260           case $$f in \
261             *=* | --[!k]*);; \
262             *k*) failcom='fail=yes';; \
263           esac; \
264         done; \
265         dot_seen=no; \
266         case "$@" in \
267           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
268           *) list='$(SUBDIRS)' ;; \
269         esac; \
270         rev=''; for subdir in $$list; do \
271           if test "$$subdir" = "."; then :; else \
272             rev="$$subdir $$rev"; \
273           fi; \
274         done; \
275         rev="$$rev ."; \
276         target=`echo $@ | sed s/-recursive//`; \
277         for subdir in $$rev; do \
278           echo "Making $$target in $$subdir"; \
279           if test "$$subdir" = "."; then \
280             local_target="$$target-am"; \
281           else \
282             local_target="$$target"; \
283           fi; \
284           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
285           || eval $$failcom; \
286         done && test -z "$$fail"
287 tags-recursive:
288         list='$(SUBDIRS)'; for subdir in $$list; do \
289           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
290         done
291 ctags-recursive:
292         list='$(SUBDIRS)'; for subdir in $$list; do \
293           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
294         done
295
296 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
297         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
298         unique=`for i in $$list; do \
299             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
300           done | \
301           $(AWK) '    { files[$$0] = 1; } \
302                END { for (i in files) print i; }'`; \
303         mkid -fID $$unique
304 tags: TAGS
305
306 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
307                 $(TAGS_FILES) $(LISP)
308         tags=; \
309         here=`pwd`; \
310         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
311           include_option=--etags-include; \
312           empty_fix=.; \
313         else \
314           include_option=--include; \
315           empty_fix=; \
316         fi; \
317         list='$(SUBDIRS)'; for subdir in $$list; do \
318           if test "$$subdir" = .; then :; else \
319             test ! -f $$subdir/TAGS || \
320               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
321           fi; \
322         done; \
323         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
324         unique=`for i in $$list; do \
325             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
326           done | \
327           $(AWK) '    { files[$$0] = 1; } \
328                END { for (i in files) print i; }'`; \
329         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
330           test -n "$$unique" || unique=$$empty_fix; \
331           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
332             $$tags $$unique; \
333         fi
334 ctags: CTAGS
335 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
336                 $(TAGS_FILES) $(LISP)
337         tags=; \
338         here=`pwd`; \
339         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
340         unique=`for i in $$list; do \
341             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
342           done | \
343           $(AWK) '    { files[$$0] = 1; } \
344                END { for (i in files) print i; }'`; \
345         test -z "$(CTAGS_ARGS)$$tags$$unique" \
346           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
347              $$tags $$unique
348
349 GTAGS:
350         here=`$(am__cd) $(top_builddir) && pwd` \
351           && cd $(top_srcdir) \
352           && gtags -i $(GTAGS_ARGS) $$here
353
354 distclean-tags:
355         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
356
357 distdir: $(DISTFILES)
358         $(am__remove_distdir)
359         test -d $(distdir) || mkdir $(distdir)
360         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
361         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
362         list='$(DISTFILES)'; \
363           dist_files=`for file in $$list; do echo $$file; done | \
364           sed -e "s|^$$srcdirstrip/||;t" \
365               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
366         case $$dist_files in \
367           */*) $(MKDIR_P) `echo "$$dist_files" | \
368                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
369                            sort -u` ;; \
370         esac; \
371         for file in $$dist_files; do \
372           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
373           if test -d $$d/$$file; then \
374             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
375             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
376               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
377             fi; \
378             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
379           else \
380             test -f $(distdir)/$$file \
381             || cp -p $$d/$$file $(distdir)/$$file \
382             || exit 1; \
383           fi; \
384         done
385         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
386           if test "$$subdir" = .; then :; else \
387             test -d "$(distdir)/$$subdir" \
388             || $(MKDIR_P) "$(distdir)/$$subdir" \
389             || exit 1; \
390             distdir=`$(am__cd) $(distdir) && pwd`; \
391             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
392             (cd $$subdir && \
393               $(MAKE) $(AM_MAKEFLAGS) \
394                 top_distdir="$$top_distdir" \
395                 distdir="$$distdir/$$subdir" \
396                 am__remove_distdir=: \
397                 am__skip_length_check=: \
398                 distdir) \
399               || exit 1; \
400           fi; \
401         done
402         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
403           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
404           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
405           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
406         || chmod -R a+r $(distdir)
407 dist-gzip: distdir
408         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
409         $(am__remove_distdir)
410
411 dist-bzip2: distdir
412         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
413         $(am__remove_distdir)
414
415 dist-tarZ: distdir
416         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
417         $(am__remove_distdir)
418
419 dist-shar: distdir
420         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
421         $(am__remove_distdir)
422
423 dist-zip: distdir
424         -rm -f $(distdir).zip
425         zip -rq $(distdir).zip $(distdir)
426         $(am__remove_distdir)
427
428 dist dist-all: distdir
429         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
430         $(am__remove_distdir)
431
432 # This target untars the dist file and tries a VPATH configuration.  Then
433 # it guarantees that the distribution is self-contained by making another
434 # tarfile.
435 distcheck: dist
436         case '$(DIST_ARCHIVES)' in \
437         *.tar.gz*) \
438           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
439         *.tar.bz2*) \
440           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
441         *.tar.Z*) \
442           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
443         *.shar.gz*) \
444           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
445         *.zip*) \
446           unzip $(distdir).zip ;;\
447         esac
448         chmod -R a-w $(distdir); chmod a+w $(distdir)
449         mkdir $(distdir)/_build
450         mkdir $(distdir)/_inst
451         chmod a-w $(distdir)
452         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
453           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
454           && cd $(distdir)/_build \
455           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
456             $(DISTCHECK_CONFIGURE_FLAGS) \
457           && $(MAKE) $(AM_MAKEFLAGS) \
458           && $(MAKE) $(AM_MAKEFLAGS) dvi \
459           && $(MAKE) $(AM_MAKEFLAGS) check \
460           && $(MAKE) $(AM_MAKEFLAGS) install \
461           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
462           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
463           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
464                 distuninstallcheck \
465           && chmod -R a-w "$$dc_install_base" \
466           && ({ \
467                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
468                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
469                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
470                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
471                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
472               } || { rm -rf "$$dc_destdir"; exit 1; }) \
473           && rm -rf "$$dc_destdir" \
474           && $(MAKE) $(AM_MAKEFLAGS) dist \
475           && rm -rf $(DIST_ARCHIVES) \
476           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
477         $(am__remove_distdir)
478         @(echo "$(distdir) archives ready for distribution: "; \
479           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
480           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
481 distuninstallcheck:
482         @cd $(distuninstallcheck_dir) \
483         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
484            || { echo "ERROR: files left after uninstall:" ; \
485                 if test -n "$(DESTDIR)"; then \
486                   echo "  (check DESTDIR support)"; \
487                 fi ; \
488                 $(distuninstallcheck_listfiles) ; \
489                 exit 1; } >&2
490 distcleancheck: distclean
491         @if test '$(srcdir)' = . ; then \
492           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
493           exit 1 ; \
494         fi
495         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
496           || { echo "ERROR: files left in build directory after distclean:" ; \
497                $(distcleancheck_listfiles) ; \
498                exit 1; } >&2
499 check-am: all-am
500 check: check-recursive
501 all-am: Makefile config.h
502 installdirs: installdirs-recursive
503 installdirs-am:
504 install: install-recursive
505 install-exec: install-exec-recursive
506 install-data: install-data-recursive
507 uninstall: uninstall-recursive
508
509 install-am: all-am
510         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
511
512 installcheck: installcheck-recursive
513 install-strip:
514         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
515           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
516           `test -z '$(STRIP)' || \
517             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
518 mostlyclean-generic:
519
520 clean-generic:
521
522 distclean-generic:
523         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
524
525 maintainer-clean-generic:
526         @echo "This command is intended for maintainers to use"
527         @echo "it deletes files that may require special tools to rebuild."
528 clean: clean-recursive
529
530 clean-am: clean-generic mostlyclean-am
531
532 distclean: distclean-recursive
533         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
534         -rm -f Makefile
535 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
536
537 dvi: dvi-recursive
538
539 dvi-am:
540
541 html: html-recursive
542
543 info: info-recursive
544
545 info-am:
546
547 install-data-am:
548
549 install-dvi: install-dvi-recursive
550
551 install-exec-am:
552
553 install-html: install-html-recursive
554
555 install-info: install-info-recursive
556
557 install-man:
558
559 install-pdf: install-pdf-recursive
560
561 install-ps: install-ps-recursive
562
563 installcheck-am:
564
565 maintainer-clean: maintainer-clean-recursive
566         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
567         -rm -rf $(top_srcdir)/autom4te.cache
568         -rm -f Makefile
569 maintainer-clean-am: distclean-am maintainer-clean-generic
570
571 mostlyclean: mostlyclean-recursive
572
573 mostlyclean-am: mostlyclean-generic
574
575 pdf: pdf-recursive
576
577 pdf-am:
578
579 ps: ps-recursive
580
581 ps-am:
582
583 uninstall-am:
584
585 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
586         install-strip
587
588 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
589         all all-am am--refresh check check-am clean clean-generic \
590         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
591         dist-shar dist-tarZ dist-zip distcheck distclean \
592         distclean-generic distclean-hdr distclean-tags distcleancheck \
593         distdir distuninstallcheck dvi dvi-am html html-am info \
594         info-am install install-am install-data install-data-am \
595         install-dvi install-dvi-am install-exec install-exec-am \
596         install-html install-html-am install-info install-info-am \
597         install-man install-pdf install-pdf-am install-ps \
598         install-ps-am install-strip installcheck installcheck-am \
599         installdirs installdirs-am maintainer-clean \
600         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
601         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
602
603 # Tell versions [3.59,3.63) of GNU make to not export all variables.
604 # Otherwise a system limit (for SysV at least) may be exceeded.
605 .NOEXPORT: